#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.26.4
%define		qtver		5.15.2
%define		kpname		kde-gtk-config
Summary:	GTK2 and GTK3 Configurator for KDE
Name:		kp5-%{kpname}
Version:	5.26.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	54e61050bbadae9d40321843834660e8
Patch0:		x32.patch
%define		specflags	-I/usr/include/harfbuzz
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kauth-devel
BuildRequires:	kf5-kbookmarks-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kp5-kdecoration-devel >= 5.23.0
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK2 and GTK3 Configurator for KDE.

%prep
%setup -q -n %{kpname}-%{version}
#%%patch0 -p1

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	..
%ninja_build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

sed -i -e 's|/usr/bin/env sh|/bin/bash|' $RPM_BUILD_ROOT/usr/share/kconf_update/remove_window_decorations_from_gtk_css.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/libexec/gtk3_preview
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/kded/gtkconfig.so
%attr(755,root,root) %{_libdir}/kconf_update_bin/gtk_theme
%{_datadir}/kconf_update/gtkconfig.upd
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libcolorreload-gtk-module.so
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libwindow-decorations-gtk-module.so
%attr(755,root,root) %{_datadir}/kconf_update/remove_window_decorations_from_gtk_css.sh
%{_datadir}/themes/Breeze/window_decorations.css
%dir %{_datadir}/kcm-gtk-module
%{_datadir}/kcm-gtk-module/preview.ui
%attr(755,root,root) %{_libdir}/kconf_update_bin/remove_deprecated_gtk4_option
%changelog
* Wed Nov 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kde-gtk-config.git;a=log;h=master

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2819265
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6dc26ca
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0b53cc7
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 71a6750
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 89b7cc1
- updated to 5.26.0

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b18ea57
- rebuild with qt5-5.15.6

* Wed Sep 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> adb76d6
- updated to 5.25.5

* Wed Aug 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 72eb53d
- updated to 5.25.4

* Wed Jul 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5f678f1
- updated to 5.25.3

* Wed Jun 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> fb7581f
- updated to 5.25.2

* Tue Jun 21 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 819f5d8
- updated to 5.25.1

* Wed Jun 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 07b216a
- updated to 5.25.0

* Tue May 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> faf765a
- updated to 5.24.5

* Wed Mar 30 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 67b31f1
- updated to 5.24.4
- added bcond_with tests

* Wed Mar 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8c38ff8
- updated to 5.24.3

* Thu Feb 24 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8bdb3d6
- updated to 5.24.2

* Thu Feb 17 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e050e80
- updated to 5.24.1

* Thu Feb 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e356544
- updated to 5.24.0

* Wed Jan 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 750eb56
- updated to 5.23.5

* Wed Dec 01 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 692f3fc
- updated to 5.23.4

